package com.bytedance.ies.nle.editor_jni;

import X.C009450q;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentHSLFilter extends NLESegmentFilter {
    public transient long LIZIZ;
    public transient boolean LIZJ;

    static {
        Covode.recordClassIndex(29861);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentHSLFilter() {
        this(NLEEditorJniJNI.new_NLESegmentHSLFilter());
        MethodCollector.i(19155);
        MethodCollector.o(19155);
    }

    public final double LIZLLL() {
        MethodCollector.i(19145);
        double NLESegmentHSLFilter_getHue = NLEEditorJniJNI.NLESegmentHSLFilter_getHue(this.LIZIZ, this);
        MethodCollector.o(19145);
        return NLESegmentHSLFilter_getHue;
    }

    public final double LJ() {
        MethodCollector.i(19149);
        double NLESegmentHSLFilter_getLightness = NLEEditorJniJNI.NLESegmentHSLFilter_getLightness(this.LIZIZ, this);
        MethodCollector.o(19149);
        return NLESegmentHSLFilter_getLightness;
    }

    public final double LJFF() {
        MethodCollector.i(19151);
        double NLESegmentHSLFilter_getSaturation = NLEEditorJniJNI.NLESegmentHSLFilter_getSaturation(this.LIZIZ, this);
        MethodCollector.o(19151);
        return NLESegmentHSLFilter_getSaturation;
    }

    public final C009450q LJIIIZ() {
        MethodCollector.i(19153);
        C009450q swigToEnum = C009450q.swigToEnum(NLEEditorJniJNI.NLESegmentHSLFilter_getColorType(this.LIZIZ, this));
        MethodCollector.o(19153);
        return swigToEnum;
    }

    public NLENode clone() {
        MethodCollector.i(19144);
        long NLESegmentHSLFilter_clone = NLEEditorJniJNI.NLESegmentHSLFilter_clone(this.LIZIZ, this);
        if (NLESegmentHSLFilter_clone == 0) {
            MethodCollector.o(19144);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentHSLFilter_clone, true);
        MethodCollector.o(19144);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(19142);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZJ) {
                this.LIZJ = false;
                NLEEditorJniJNI.delete_NLESegmentHSLFilter(j);
            }
            this.LIZIZ = 0;
        }
        super.delete();
        MethodCollector.o(19142);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZJ = z;
        super.swigSetCMemOwn(z);
    }

    public NLESegmentHSLFilter(long j) {
        super(NLEEditorJniJNI.NLESegmentHSLFilter_SWIGSmartPtrUpcast(j));
        MethodCollector.i(19138);
        this.LIZJ = true;
        this.LIZIZ = j;
        MethodCollector.o(19138);
    }

    public static NLESegmentHSLFilter LIZ(NLENode nLENode) {
        NLESegmentHSLFilter nLESegmentHSLFilter;
        MethodCollector.i(19143);
        long NLESegmentHSLFilter_dynamicCast = NLEEditorJniJNI.NLESegmentHSLFilter_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentHSLFilter_dynamicCast == 0) {
            nLESegmentHSLFilter = null;
        } else {
            nLESegmentHSLFilter = new NLESegmentHSLFilter(NLESegmentHSLFilter_dynamicCast);
        }
        MethodCollector.o(19143);
        return nLESegmentHSLFilter;
    }
}
